summaryrefslogtreecommitdiffstats
path: root/bin/snapshot
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>2001-03-08 01:20:43 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>2001-03-08 01:20:43 (GMT)
commit343d05a8f91c7604c4aa12ac666441680667b771 (patch)
tree070bd87459cd554c498578428b507f6a20c40d43 /bin/snapshot
parent5396d26ae55c63c3347ef4c29c7ab8c741da272d (diff)
downloadhdf5-343d05a8f91c7604c4aa12ac666441680667b771.zip
hdf5-343d05a8f91c7604c4aa12ac666441680667b771.tar.gz
hdf5-343d05a8f91c7604c4aa12ac666441680667b771.tar.bz2
[svn-r3555] Purpose:
Code improvement Description: Changed it so that $H5VERSION determines which version of hdf5 code to do cvs checkout and to test, making it easier to handle new versions. Platforms tested: run simple test to make sure it did generate the right command.
Diffstat (limited to 'bin/snapshot')
-rwxr-xr-xbin/snapshot7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/snapshot b/bin/snapshot
index f3f05b0..dcb77e0 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -171,6 +171,11 @@ BASEDIR=${HOME}/snapshots-${H5VERSION}
CURRENT=${BASEDIR}/current
PREVIOUS=${BASEDIR}/previous
HOSTNAME=`hostname | cut -f1 -d.` # no domain part
+if [ $H5VERSION != hdf5 ]; then
+ CVSVERSION="-r $H5VERSION"
+else
+ CVSVERSION= # use the default (main) version
+fi
# Try finding a version of diff that supports the -I option too.
DIFF=diff
@@ -189,7 +194,7 @@ if [ "$cmd" = "all" -o -n "$cmdcheckout" ]; then
test -d ${BASEDIR} || mkdir -p ${BASEDIR} || exit 1
# Check out the current version from CVS
- cvs -Q co -d ${CURRENT} hdf5 || exit 1
+ cvs -Q co -d ${CURRENT} ${CVSVERSION} hdf5 || exit 1
fi # Do CVS checkout